package de.intevation.flys.importer;

import java.util.ArrayList;
import java.util.List;

import de.intevation.flys.model.Waterlevel;

import org.apache.log4j.Logger;


/** Model-class in transition: no hibernated representative. */
public class ImportWaterlevel {

    private static final Logger log = Logger.getLogger(ImportWaterlevel.class);

    private ImportUnit unit;

    private String description;

    private List<ImportWaterlevelQRange> qRanges;

    private Waterlevel peer;

    public ImportWaterlevel(String description) {
        this.qRanges = new ArrayList<ImportWaterlevelQRange>();

        this.description = description;
    }

    public String getDescription() {
        return this.description;
    }

    public void setUnit(ImportUnit unit) {
        this.unit = unit;
    }

    public ImportUnit getUnit() {
        return this.unit;
    }

    public void addValue(ImportWaterlevelQRange qRange) {
        this.qRanges.add(qRange);
    }

    public List<ImportWaterlevelQRange> getQRanges() {
        return this.qRanges;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
